org.jboss.resteasy.skeleton.key.representations.idm

## Class UserRepresentation

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.representations.idm.UserRepresentation

-     public class UserRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UserRepresentation.Credential`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected List<UserRepresentation.Credential>` | `credentials`
    `protected boolean` | `enabled`
    `protected String` | `self`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserRepresentation` | `attribute(String name, String value)`
    `UserRepresentation` | `credential(String type, String value, boolean hashed)`
    `Map<String,String>` | `getAttributes()`
    `List<UserRepresentation.Credential>` | `getCredentials()`
    `String` | `getSelf()`
    `String` | `getUsername()`
    `boolean` | `isEnabled()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setCredentials(List<UserRepresentation.Credential> credentials)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setSelf(String self)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### self

          protected String self

    - #### username

          protected String username

    - #### enabled

          protected boolean enabled

    - #### attributes

          protected Map<String,String> attributes

    - #### credentials

          protected List<UserRepresentation.Credential> credentials

  - ### Constructor Detail

    - #### UserRepresentation

          public UserRepresentation()

  - ### Method Detail

    - #### getSelf

          public String getSelf()

    - #### setSelf

          public void setSelf(String self)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getCredentials

          public List<UserRepresentation.Credential> getCredentials()

    - #### setCredentials

          public void setCredentials(List<UserRepresentation.Credential> credentials)

    - #### attribute

          public UserRepresentation attribute(String name,
                                     String value)

    - #### credential

          public UserRepresentation credential(String type,
                                      String value,
                                      boolean hashed)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

Copyright © 2014. All Rights Reserved.